System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

This attribute specifies the builder to be used to create a custom control as shown in the following code:

`[ControlBuilderAttribute(typeof(ControlBuilderType))]`

Specifies a class for building a custom control within the ASP.NET parser. This class cannot be inherited.

- Constructor

  The association of the control builder type with a custom control is obtained by preceding the custom control builder class with the following attribute definition:

  [ControlBuilderAttribute(typeof(controlbuildertype))]

  Specifies the control builder for a custom control.

  The control builder type
  1.0.5000.0
  2.0.0.0
- Property
  System.Type To be added: an object of type 'Type' To be added

  Gets the of the control associated with the attribute. This property is read-only.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.ControlBuilderAttribute To be added

  Specifies the new object. By default, the new object is set to null. This field is read-only.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Gets a value indicating whether the current is identical to the specified object.

  true if is a and is identical to the current ; otherwise, false.

  An object to compare to the current . 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Returns the hash code of the object.

  A 32-bit signed integer representing the hash code; otherwise, 0, if the is null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean To be added

  Determines whether the current control builder is the default.

  true if the current control builder is the default.

  1.0.5000.0
  2.0.0.0